## org.mortbay.jetty
Interface HandlerContainer

All Superinterfaces:
  LifeCycle

All Known Implementing Classes:
  AbstractHandlerContainer, AbstractStatisticsHandler, AtomicStatisticsHandler, Context, ContextHandler, ContextHandlerCollection, DebugHandler, HandlerCollection, HandlerList, HandlerWrapper, HTAccessHandler, Jetty6PluginWebAppContext, JettyFactoryBean, MovedContextHandler, RequestLogHandler, RewriteHandler, RewriteHandler, SecurityHandler, Server, SessionHandler, SetUIDServer, StatisticsHandler, TerracottaSessionHandler, WebAppContext

    public interface HandlerContainer

extends LifeCycle

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Method Summary
`void` `addHandler(Handler handler)`
`Handler` `getChildHandlerByClass(java.lang.Class byclass)`
`Handler[]` `getChildHandlers()`
`Handler[]` `getChildHandlersByClass(java.lang.Class byclass)`
`void` `removeHandler(Handler handler)`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Method Detail

### addHandler

    void addHandler(Handler handler)

### removeHandler

    void removeHandler(Handler handler)

### getChildHandlers

    Handler[] getChildHandlers()

### getChildHandlersByClass

    Handler[] getChildHandlersByClass(java.lang.Class byclass)

### getChildHandlerByClass

    Handler getChildHandlerByClass(java.lang.Class byclass)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.